Package org.eclipse.ecf.remoteservice.client

# Class AbstractParameterSerializer

java.lang.Object
org.eclipse.ecf.remoteservice.client.AbstractParameterSerializer

All Implemented Interfaces:
  `IRemoteCallParameterSerializer`

Direct Known Subclasses:
  `StringParameterSerializer`

public abstract class AbstractParameterSerializer extends Object implements IRemoteCallParameterSerializer

Since:
  8.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractParameterSerializer()`

## Method Summary

Modifier and Type
Method
Description
`IRemoteCallParameter[]`
`serializeParameter(String endpoint, IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter[] currentParameters, Object[] paramToSerialize)`
Serializes all remote call parameters of this call.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.client.IRemoteCallParameterSerializer

`serializeParameter`

## Constructor Details

### AbstractParameterSerializer

public AbstractParameterSerializer()

## Method Details

### serializeParameter

public IRemoteCallParameter[] serializeParameter(String endpoint, IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter[] currentParameters, Object[] paramToSerialize)
Description copied from interface: `IRemoteCallParameterSerializer`
Serializes all remote call parameters of this call. This method is invoked after `IRemoteCallParameter` `IRemoteCallParameterSerializer.serializeParameter(String, IRemoteCall, IRemoteCallable, IRemoteCallParameter, Object)` and allows to override its results (read override IRemoteCallParameters).

Specified by:
  `serializeParameter` in interface `IRemoteCallParameterSerializer`
Parameters:
  `endpoint` - the endpoint. Should not be `null`.
  `call` - the call associated with the parameter to serialize. Will not be `null`.
  `callable` - the callable associated with the parameter to serialize. Will not be `null`.
  `currentParameters` - the list of current parameters (from the callable) that would be send
  `paramToSerialize` - all parameters to serialize.
Returns:
  List the serialized parameters...with appropriate name and serialized value.
See Also:
  - "https://bugs.eclipse.org/408034"